## Articles

* [Creating 2D Games with JavaScript & HTML5](http://googlecode.blogspot.com/2011/05/creating-2d-games-with-javascript-html5.html)
* [Javascript Game Development - The Game Loop](http://nokarma.org/2010/02/02/javascript-game-development-the-game-loop/)
* [Other JavaScript Engines](http://code.google.com/p/renderengine/wiki/OtherEngines). Listed in the Render Engine wiki.
* [The Reality of HTML5 Game Development and making money from it](http://www.photonstorm.com/archives/2759/the-reality-of-html5-game-development-and-making-money-from-it)

## Videos

* [Building a JavaScript-Based Game Engine for the Web](http://www.youtube.com/watch?v=_RRnyChxijA) - Google Tech Talk
* [HTML5 for Game Developers](http://casualconnect.org/lectures/2010-kyiv-lectures/html5-for-game-developers/). Video session that introduce game developers to the web programming model.

## Programming Languages

* [Monkey](http://www.monkeycoder.co.nz/) - Programming language that targets many languages including JS. Demo version is free for non-commercial usage.

## Tutorials

* [Tutorial: No Tears Guide to HTML5 Games](http://www.html5rocks.com/tutorials/canvas/notearsgame/)
* [Simple canvas game tutorial](http://michalbe.blogspot.com/2010/09/simple-game-with-html5-canvas-part-1.html) - Doodle jump on canvas in 6KB of code by [Michal Budzynski](https://profiles.google.com/michal.budzynski.js/about).

## Games

* [Pixie](https://github.com/STRd6/pixie.strd6.com) - HTML5 based pixel editor. [Demo](http://pixie.strd6.com/) Editor's note: This might have to go to an "applications" page.

## Other

* [HTML5 Game Development](http://www.html5gamedevelopment.org/) - Portal focused on HTML5 game development.
* [playtomic](http://playtomic.com/) - Commercial service providing analytics, leaderboards etc. services for games. Provides HTML5/JS API in addition to AS2/AS3 ones.
* [PlayMyCode](http://www.playmycode.com/) - Online game creation community. Uses Quby (looks like Ruby) and compiles to JavaScript.
* [Sphere RPG Engine](http://www.spheredev.org/) - Designed for RPG creation. Uses JavaScript to script logic.
* [Game engines feature comparison](http://www.isogenicengine.com/feature-comparison/) - Comparison of the features of some javascript game engines, by the creators of Isogenic Engine.