These libraries allow you to persist data across browser sessions. Usually they use HTML5 Local Storage and some other tech as fallback.

* [AmplifyJS](http://amplifyjs.com/api/store/) - supports IE 5+, Firefox 2+, Safari 4+, Chrome, Opera 10.5+, iPhone 2+, Android 2+ and provides a consistent API to handle storage cross-browser.
* [Data.js](http://substance.io/#michael/data-js) - Data Manipulation and Graph Persistence for Node.js and the Browser.
* [Kizzy](https://github.com/polvero/Kizzy)
* [PersistJS](http://pablotron.org/software/persist-js/)
* [jStorage](http://www.jstorage.info/)
* [Lawnchair](http://westcoastlogic.com/lawnchair/) - Sorta like a couch except smaller and outside, also, a client side JSON document store. Perfect for webkit mobile apps that need a lightweight, simple and elegant persistence solution.
* [Artemia](https://github.com/k33g/artemia) - Artemia is a clientside JSON document store like Lawnchair (in the way of CouchDb). It's very very (and very) inspired by Lawnchair (he copy many aspects, normal, i love Lawnchair) but has some specific features (like modules).
* [TaffyDB](http://taffydb.com/)
* [meelo-store](http://rudasn.github.com/meelo-store/)
* [Gazel](http://gazeljs.org/)
* [PouchDB](https://github.com/mikeal/pouchdb) - Portable implementation of CouchDB