### Main Pages

* [Modules and Extensions](https://github.com/LearnBoost/Socket.IO/wiki/Modules-&-Extensions)
* [Projects using Socket.IO](https://github.com/LearnBoost/Socket.IO/wiki/Projects-using-Socket.IO)
* [Migrating 0.6.x to 0.7+](https://github.com/LearnBoost/Socket.IO/wiki/Migrating-0.6-to-0.7+)
* [Configuring Socket.IO](https://github.com/LearnBoost/Socket.IO/wiki/Configuring-Socket.IO)
* [Authorization and handshaking](https://github.com/LearnBoost/socket.io/wiki/Authorizing)
* [Socket.IO and firewalls](https://github.com/LearnBoost/socket.io/wiki/Socket.IO-and-firewall-software)
* [Exposed events](https://github.com/LearnBoost/socket.io/wiki/Exposed-events)

### FAQ

* [How do I contribute to Socket.IO](https://github.com/LearnBoost/socket.io/wiki/Contributing)
* [How do I serve the client?](https://github.com/LearnBoost/Socket.IO/wiki/How-do-I-serve-the-client)
* [How does the Socket.IO protocol work](https://github.com/LearnBoost/socket.io-spec)

### Articles and Recipes

* [Nginx and Socket.IO](https://github.com/LearnBoost/socket.io/wiki/Nginx-and-Socket.io)
* [HAProxy and Socket.IO](http://stackoverflow.com/questions/4360221/haproxy-websocket-disconnection/4737648#4737648)
* [Varnish and Socket.IO](https://github.com/LearnBoost/socket.io/wiki/Varnish-and-Socket.IO)
* [Socket.IO Express and Sessions](http://www.danielbaulig.de/socket-ioexpress/)
* [Socket.IO on Clouds](https://github.com/pubnub/pubnub-api/tree/master/socket.io)

### Presentations and slides

* [nodecamp.eu 2011 (slides)](http://www.slideshare.net/3rdEden/socketio-8284496)
* [nodeconf 2011 (slides)](http://cl.ly/0B0C3f133K1m3j422n0K)
* [camp.nodejs 2010 (video)](http://camp.nodejs.org/videos/session-06_socketio_workshop-guillermo_rauch.html)
* [socket.io-pubnub 2012 (videos)](http://vimeo.com/pubnub)

### In other languages

* **Erlang**
  * [yrashk/socket.io-erlang](https://github.com/yrashk/socket.io-erlang)
* **Java**
  * [ibdknox/socket.io-netty](https://github.com/ibdknox/socket.io-netty)
  * [Ovea/Socket.IO-Java](https://github.com/Ovea/Socket.IO-Java)
  * [Gottox/socket.io-java-client](https://github.com/Gottox/socket.io-java-client)
* **Lua**
  * [ignacio/LuaNode-Socket.IO](https://github.com/ignacio/LuaNode-Socket.IO)
* **Perl**
  * [vti/pocketio](https://github.com/vti/pocketio)
* **Go**
  * [madari/go-socket.io](https://github.com/madari/go-socket.io) (Currently not compatible with 0.7+)
* **Python**
  * [MrJoes/tornadio2](https://github.com/MrJoes/tornadio2) (0.7+)
  * [MrJoes/tornadio](https://github.com/MrJoes/tornadio) (0.6)
  * [gevent-socketio](https://github.com/abourget/gevent-socketio)
  * [django-socketio](https://github.com/stephenmcd/django-socketio)
* **Ruby**
  * [dkastner/Socket.io-ruby](https://github.com/dkastner/Socket.io-ruby)
  * [markjeee/Socket.IO-rack](https://github.com/markjeee/Socket.IO-rack)
* **Flash**
  * [simb/FlashSocket.IO](https://github.com/simb/FlashSocket.IO)