* [jQuery](http://jquery.com/)
* [dojotoolkit](http://dojotoolkit.org/)
* [jquip](https://github.com/mythz/jquip) - jQuery in parts
* [Sammy](http://code.quirkey.com/sammy/) - Built on top of jQuery
* [Prototype](http://www.prototypejs.org/) - See also [script.aculo.us](http://script.aculo.us/)
* [MooTools](http://mootools.net/)
* [Spry](http://labs.adobe.com/technologies/spry/)
* [Glow](http://www.bbc.co.uk/glow/)
* [Ext JS](http://www.sencha.com/products/js/)
* [qooxdoo](http://qooxdoo.org/)
* [YUI](http://developer.yahoo.com/yui/)
* [Ojay](http://ojay.othermedia.org/) - YUI wrapper (provides chaining etc.)
* [Uize](http://www.uize.com/) - [Source](https://github.com/UIZE/UIZE-JavaScript-Framework)
* [Midori](http://www.midorijs.com/)
* [RightJS](http://rightjs.org/)
* [AngularJS](http://angularjs.org)
* [ActiveJS](http://activejs.org/)
* [Ender](https://github.com/ender-js/Ender) - Novel, open, next level, modular JavaScript. no-library library
* [Erbix](http://www.erbix.com/)
* [Atom](https://github.com/theshock/atomjs) - Atom is compact JavaScript framework oriented on modern browsers, which allows to support quite broad list of features without keeping a lot of cruft necessary to implement them in old browsers. MIT/LGPL.
* [batman.js](http://batmanjs.org/)
* [Google Closure Library](http://code.google.com/closure/library/)
* [neon](http://neonjs.com/) - The fat-free open source Javascript framework. Weighs less than 4k minified and gzipped.
* [Asana Luna](http://asana.com/luna/)
* [lovely.io](http://lovely.io/)
* [Enyo](http://enyojs.com/)

## Single Page Application Frameworks

* [faux](https://github.com/unspace/faux) - Uses [Backbone.js](http://documentcloud.github.com/backbone/). [Demo application](http://unspace.github.com/faux/examples/misadventure/).
* [scaleApp](https://github.com/flosse/scaleApp) - Uses [jQuery](http://jquery.com/). [Demo application](http://www.scaleapp.org/demo/fast/).
* [OriginJS](https://github.com/RobertWHurst/OriginJS) - A very simple and flexible yet powerful client side router.

## Other

* [AmplifyJS](http://amplifyjs.com/) - a set of components designed to solve common web application problems with a simplistic API

## Obsolete

* [Archetype](https://launchpad.net/archetype)
* [b9j](http://appengine.bravo9.com/b9j/documentation/b9j.html) (not available anymore?) - [Source](https://github.com/robertkrimen/b9j)
* [June](http://june-js.com/)
* [SimpleJS](http://simplejs.bleebot.com/)

## References

* [10 Promising JavaScript Frameworks](http://sixrevisions.com/javascript/promising_javascript_frameworks/)
* [JavaScript Framework Matrix](http://matthiasschuetz.com/javascript-framework-matrix/en/)
* [Comparison of JavaScript Frameworks](http://en.wikipedia.org/wiki/Comparison_of_JavaScript_frameworks)
* [20 JavaScript Frameworks Worth Checking Out](http://net.tutsplus.com/articles/web-roundups/20-javascript-frameworks-worth-checking-out/)