## JavaScript Based Editors

* [[CodeMirror|http://codemirror.net]]
* [[ACE|http://ace.ajax.org]]
* [[Ymacs|http://ymacs.org]]
* [[EditArea|http://www.cdolivet.com/index.php?page=editArea]]
* [[JsDoIt|http://jsdo.it/]]
* [[JsFiddle|http://www.jsfiddle.net/]]
* [[Tinkerbin|http://www.tinkerbin.com/]]
* [[Akshell|http://www.akshell.com/]] - Makes it possible to create server-side JavaScript apps in your browser.
* [[Cloud9|https://github.com/ajaxorg/cloud9]]
* [[Orion|http://www.eclipse.org/orion/]]
* [[jsconsole|http://jsconsole.com/]]
* [[jsbin|http://jsbin.com/]]
* [[Erbix|http://www.erbix.com/js/]]
* [[Kodingen|http://kodingen.com/]]
* [[tmpltr|http://rocktronica.github.com/tmpltr/]]
* [[nide|http://coreh.github.com/nide/]] - A web-based IDE for Node.js, designed with simplicity and ease-of-use in mind.
* [[rendur|http://rendur.com/]]
* [[Plunker|http://plunker.no.de/edit]]
* [[CodeBook|http://danielchasehooper.github.com/CodeBook/]]

## Editors / Editor Plugins Supporting JavaScript

* [JetBrains WebStorm](http://www.jetbrains.com/webstorm/)
* [VWD Express](http://www.microsoft.com/express)
* [CoffeeCup](http://www.coffeecup.com/html-editor/)
* [Oracle NetBeans](http://netbeans.org/)
* [Aptana](http://www.aptana.com/)
* [Komodo Edit](http://www.activestate.com/komodo-edit)
* [Edit Rocket](http://www.editrocket.com/features/javascript_editor.html)
* [Kompozer](http://www.kompozer.net/)
* [1st JavaScript Editor Pro](http://yaldex.com/)
* [Sublime Text 2](http://www.sublimetext.com/) - Great support with Sublime and TextMate plug-ins
* [Vim](http://www.vim.org/) - Great support with the [vim-javascript](https://github.com/pangloss/vim-javascript) plugin
* [Emacs](http://www.gnu.org/s/emacs) - Great support with [js2-mode](https://github.com/mooz/js2-mode)

## References

* [Best Tools for Professional JavaScript Development](http://www.misfitgeek.com/2011/09/best-tools-for-professional-javascript-development/)
* [5 Online Playgrounds for HTML, CSS and JavaScript Compared](http://designshack.net/articles/css/5-online-playgrounds-for-html-css-and-javascript-compared/)