Name | Latest Release | Size (KB) | License | Unit Tests | Deps | IE | SVG | Docs | Notes |
:-----------|:------------|:-------------|:-------------|:-------------|:-------------|:-------------|:-------------|:-------------|:-------------|
[CamanJS](https://github.com/meltingice/CamanJS)|||||||||Basic filtering ops for Canvas
[canvasfilters](https://github.com/kig/canvasfilters)|||||||||Image filters for ImageData objects
[glfx.js](https://github.com/evanw/glfx.js)|||||||||Image effects using WebGL
[filtrr](https://github.com/alexmic/filtrr)|||||||||Instagram-like effects, [demo](http://alexmic.github.com/filtrr/)
[IM.JS](http://tcorral.github.com/IM.js/)|||||||||Fast image comparison pixel to pixel
[JS-ImageDiff](http://humblesoftware.github.com/js-imagediff/)|||||||||Diff between images
[PaintbrushJS](https://github.com/mezzoblue/PaintbrushJS)|||||||||A lightweight browser-based image processing library
[Pixastic](http://www.pixastic.com/)|||||||||Basic image manipulation ops
[Seriously.js](http://seriouslyjs.org)|||MIT|[View](https://github.com/brianchirls/Seriously.js/tree/master/test)|None|No|No|[View](https://github.com/brianchirls/Seriously.js/wiki)|Node-video effects and compositing for WebGL
[Stackblur](http://www.quasimondo.com/StackBlurForCanvas/StackBlurDemo.html)|||||||||Fast implementation of blur for Canvas
[ube](https://github.com/ian-/ube)|

## Demos & Applications

* [WebGL Filter](https://github.com/evanw/webgl-filter/) - WebGL based image editor

## Resources

* [Making Image Filters with Canvas](http://www.html5rocks.com/en/tutorials/canvas/imagefilters/)
* [HTML5′s canvas Part II: Pixel Manipulation](http://beej.us/blog/2010/02/html5s-canvas-part-ii-pixel-manipulation/)
* [HTML5 Canvas and globalCompositeOperation](http://beej.us/blog/2010/11/html5-canvas-and-globalcompositeoperation/)
* [Faster Canvas Pixel Manipulation with Typed Arrays](http://hacks.mozilla.org/2011/12/faster-canvas-pixel-manipulation-with-typed-arrays/)