## Libraries

* [Express.js](http://expressjs.com/) - web development framework inspired by [Sinatra](http://www.sinatrarb.com/)
* [JADE](http://visionmedia.github.com/jade/) - HAML-like template engine
* [Stylus](http://learnboost.github.com/stylus/) -Stylesheet language, developed after [Less](http://lesscss.org/) and [Sass](http://sass-lang.com/)
* [Expresso](http://visionmedia.github.com/expresso/) - TDD framework for node
* [Socket.IO](http://socket.io/) - cross-browser HTTP Socket implementation
* [Mongoose](http://mongoosejs.com/) - MongoDB ODM/ORM

## Resources

* [Official documentation](http://nodejs.org/docs/)
* [Nodetuts](http://nodetuts.com/)
* [Node.js Community Wiki](https://github.com/ry/node/wiki)
* [Nodejitsu](http://blog.nodejitsu.com/)
* [How to Node](http://howtonode.org/)
* [Introduction presentation](https://github.com/indexzero/nodejs-intro)
* [Node.js hosting platform](http://www.nodejscloud.com/)
* [Async logging](https://github.com/indexzero/winston)
* [Support for *nix daemons](https://github.com/indexzero/daemon.node)
* [Bulletproof node.js coding](http://stella.laurenzo.org/2011/03/bulletproof-node-js-coding/)
* [A Not Very Short Introduction To Node.js](http://anders.janmyr.com/2011/05/not-very-short-introduction-to-nodejs.html)
* [Asynchronous Code Design with Node.js](http://shinetech.com/thoughts/thought-articles/139-asynchronous-code-design-with-nodejs-)

### Books

* [Up and Running with Node.js](http://ofps.oreilly.com/titles/9781449398583/)
* [Felix's Node.js Guide](http://nodeguide.com/)
* [Mastering node.js](http://visionmedia.github.com/masteringnode/)
* [The Node Beginner Book](http://nodebeginner.org/)
* [Node Web Development](http://www.packtpub.com/node-javascript-web-development/book)